package mobile

import (
	"gin-vue-admin/global"
	"gin-vue-admin/model"
	"gin-vue-admin/model/request"
	"gin-vue-admin/model/response"
	"gin-vue-admin/service"
	"gin-vue-admin/utils"
	"github.com/gin-gonic/gin"
	"go.uber.org/zap"
)

// @Router /ai/aiUploadToCos [post]
func InterpretationInfo(c *gin.Context) {
	var req request.InterpretationInfoReq
	_ = c.ShouldBindJSON(&req)

	if req.Id == "" || req.Id == "0" {
		response.FailWithMessage("数据有误，请重新生成二维码", c)
	}

	var err error
	token := utils.NewLogin()
	reply := utils.InterpretationInfo(&req, token)

	//用户调用api日志
	apiLog := model.ApiLog{
		UserId: getUserID(c),
		Status: reply.Code,
		Api:    "/api/v1/dcm-interpretation-manager/",
		Req:    string(utils.SerializeJson(req)),
		Reply:  string(utils.SerializeJson(reply.Data)),
	}
	service.CreateApiLog(apiLog)

	if reply.Code != 200 {
		global.GVA_LOG.Error("失败!", zap.Any("err", err))
		response.FailWithMessage("失败", c)
	} else {
		response.OkWithData(reply.Data, c)
	}
	return
}
