package mobile

import (
	"fmt"
	"gin-vue-admin/global"
	"gin-vue-admin/model"
	"gin-vue-admin/model/request"
	"gin-vue-admin/model/response"
	"gin-vue-admin/service"
	"gin-vue-admin/utils"
	"github.com/gin-gonic/gin"
	"go.uber.org/zap"
)

func GetSurveyUserList(c *gin.Context) {
	var req request.GetSurveyUserListReq
	_ = c.ShouldBindJSON(&req)

	response.OkWithData(req, c)
	return
}

func CreateSurveyUser(c *gin.Context) {
	var req request.CreateSurveyUserReq
	_ = c.ShouldBindJSON(&req)

	SurveyUser := model.SurveyUser{
		SurveyId:       1,
		UserId:         req.UserId,
		Contacts:       req.Contacts,
		ContactsMobile: req.ContactsMobile,
		CreateTime:     utils.NowTime(),
	}

	_, surveyUserId := service.CreateSurveyUser(SurveyUser)

	for _, v := range req.Data {
		v.SurveyUserId = surveyUserId
		service.CreateSurveyUserData(v)
	}

	response.OkWithMessage("创建成功", c)
	return
}

func CreateSurveyLog(c *gin.Context) {
	var req model.SurveyLog
	_ = c.ShouldBindJSON(&req)

	ipData, _ := service.GetIpaddr(c.ClientIP())
	fmt.Println(ipData)

	req.CreateTime = utils.NowTime()
	if err := service.CreateSurveyLog(req); err != nil {
		global.GVA_LOG.Error("创建失败!", zap.Any("err", err))
		response.FailWithMessage("创建失败", c)
	} else {
		response.OkWithMessage("创建成功", c)
	}
	return
}
