package router

import (
	"gin-vue-admin/api/mobile"
	v1 "gin-vue-admin/api/v1"
	"gin-vue-admin/middleware"

	"github.com/gin-gonic/gin"
)

func InitMobileBooksRouter(Router *gin.RouterGroup) {
	DataMedicialRercordRouter := Router.Group("read").Use(middleware.OperationRecord())
	{
		DataMedicialRercordRouter.GET("getReadBooks", mobile.GetReadBooks)
		DataMedicialRercordRouter.POST("getReadCatalog", mobile.GetReadCatalog)
		DataMedicialRercordRouter.POST("getReadContent", mobile.GetReadContent)
		DataMedicialRercordRouter.POST("getReadHistory", mobile.GetReadHistory)
		DataMedicialRercordRouter.POST("addReadHistory", mobile.AddReadHistory)
		DataMedicialRercordRouter.POST("updateReadHistory", mobile.UpdateReadHistory)
	}
}

func InitReadBooksRouter(Router *gin.RouterGroup) {
	DataMedicialRercordRouter := Router.Group("read").Use(middleware.OperationRecord())
	{
		DataMedicialRercordRouter.POST("createReadCatalog", v1.CreateReadCatalog)
		DataMedicialRercordRouter.POST("createReadContent", v1.CreateReadContent)
		DataMedicialRercordRouter.POST("updateCatalog", v1.UpdateCatalog)
		DataMedicialRercordRouter.POST("updateReadContent", v1.UpdateReadContent)
		DataMedicialRercordRouter.POST("deleteReadCatalog", v1.DeleteReadCatalog)
		DataMedicialRercordRouter.POST("deleteReadContent", v1.DeleteReadContent)
		DataMedicialRercordRouter.POST("getReadContentList", v1.GetReadContentList)
		DataMedicialRercordRouter.POST("getReadContents", v1.GetReadContent)
		DataMedicialRercordRouter.POST("getCatalogList", v1.GetCatalogList)
	}
}
