package service

import (
	"fmt"
	"gin-vue-admin/global"
	"gin-vue-admin/model"
	"gin-vue-admin/utils"
	"time"
)

func GetIpaddr(ip string) (utils.IpData, string) {

	if ip == "127.0.0.1" {
		return utils.IpData{}, ""
	}

	var data model.Ipaddr

	nowtime := time.Now()

	d, _ := time.ParseDuration("-6h")

	beforetime := nowtime.Add(d)

	global.GVA_DB.Table("ipaddr").Where("ip = ? and code = ? and create_time > ", ip, 400, beforetime).First(&data)
	if data.Id > 0 {
		ipDataDb := new(utils.IpData)
		utils.UnserislizeJson(data.Data, ipDataDb)
		return *ipDataDb, ""
	}

	ipData := utils.GetIpaddr(ip)

	IpaddrData := model.Ipaddr{
		Ip:     ip,
		Code:   ipData.Code,
		TaskNo: ipData.TaskNo,
		Data:   string(utils.SerializeJson(ipData.Data)),
	}

	global.GVA_DB.Table("ipaddr").Create(&IpaddrData)

	if ipData.Code == 200 {
		return ipData.Data, ""
	}

	fmt.Println(ipData.Msg)

	return utils.IpData{}, ipData.Msg
}
