package utils

import (
	"gin-vue-admin/global"
)

func GetIpaddr(ip string) GetIpaddrReply {
	url := global.GVA_CONFIG.Ipaddr.Url

	data := new(GetIpaddrReq)
	data.Ip = ip

	resp := GetIpaddrPost(url, data, global.GVA_CONFIG.Ipaddr.Appcode, 1)

	reply := new(GetIpaddrReply)

	UnserislizeJson(resp, reply)

	return *reply
}

type GetIpaddrReq struct {
	Ip string `json:"ip"`
}
type GetIpaddrReply struct {
	Code   int    `json:"code"`
	Msg    string `json:"msg"`
	TaskNo string `json:"taskNo"`
	Data   IpData `json:"data"`
}

type IpData struct {
	Country   string `json:"country"`
	CountryID string `json:"country_id"`
	Area      string `json:"area"`
	Region    string `json:"region"`
	RegionID  string `json:"region_id"`
	City      string `json:"city"`
	CityID    string `json:"city_id"`
	IP        string `json:"ip"`
	LongIP    string `json:"long_ip"`
	Isp       string `json:"isp"`
}
